<?php

/*our display functions for outputting information*/

function wpss_prepare_html($content) {

	global $plugin_version;
	global $wpss_options;
	global $plugin_folder_name;

	$smartspeech_content = '<script async src="https://smartspeech.club/widget/'.$wpss_options['widget_id'].'"></script>';
	
   	$content = str_replace('</body>', $smartspeech_content . '</body>', $content);
	return $content;
}

function wpss_is_login_page() {
	return in_array($GLOBALS['pagenow'], array('wp-login.php', 'wp-register.php'));
}

function wpss_start_speeching() {
	//return on admin
	if(is_admin() || wpss_is_login_page())
		return;
	ob_start("wpss_prepare_html");
}

function wpss_make_ob_end_flush() {
	if (ob_get_level() != 0) 
		ob_end_flush();
}
register_shutdown_function('wpss_make_ob_end_flush');
add_action('wp_loaded', 'wpss_start_speeching');
?>