<?php
/*
Plugin Name: Smart Speech
Plugin URI: https://smartspeech.club/
Description: Smart Speech is a text to speech solution which allows to listen any content on your site!
Author: Smart Speech
Author URI: https://smartspeech.club
Version: 1.0.0
*/

$plugin_folder_name = 'smartspeech';
$plugin_version = '1.0.0';
$wpss_options = get_option('wpss_settings');

$widget_id = "";

/******************************
* includes
******************************/

include('includes/scripts.php'); // this controls all JS / CSS
include('includes/data-processing.php'); // this controls all saving of data
include('includes/display-functions.php'); // display content functions
include('includes/admin-page.php'); // the plugin options page HTML and save functions

function wpss_on_uninstall() {
	delete_option('wpss_settings');
}

register_uninstall_hook(__FILE__, 'wpss_on_uninstall');

?>